Aller au contenu
  • 0

EDIT : Nouveau soucis : Installation du site de DarkDev


Saejin

Question

Version des Files / Type d’Émulateur xxxxxxxxx

Domaine ( Base de Données, Client, Core, Sources... ) : xxxxxxxxx

Niveau : Débutant, Intermédiaire ou Avancé ?

Bonsoir,

 

Quelqu'un saurait où je peux trouver un tuto valide pour installer tous ce qui est nécessaire pour installer sont site CMS sur un dédier, apache etc...?

 

Car en suivant ce tuto :

 

 

j'obtiens ceci :

 

	


[email protected]:# cd /usr/ports/www/apache24
	[email protected]:/usr/ports/www/apache24 # make install clean
	===> Building/installing dialog4ports as it is required for the config dialog
	===>  Cleaning for dialog4ports-0.1.6
	===> Skipping 'config' as NO_DIALOG is defined
	/!\ ERROR: /!\	

Ports Collection support for your FreeBSD version has ended, and no ports are
	guaranteed to build on this system. Please upgrade to a supported release.	

No support will be provided if you silence this message by defining
	ALLOW_UNSUPPORTED_SYSTEM.	

*** Error code 1	

Stop.
	make[3]: stopped in /usr/ports/ports-mgmt/dialog4ports
	*** Error code 1	

Stop.
	make[2]: stopped in /usr/ports/ports-mgmt/dialog4ports
	===> Options unchanged	


 

Je suis sous FreeBSD 11.2-RELEASE-p7 

 

Merci d'avance

 

Modifié par Saejin
Nouveau soucis (Voir l’historique des modifications)
Lien à poster

Messages recommandés

  • 0

Salut salut, ce tuto me semble plus a jour, ca ne fonctionnait pas non plus pour moi qui est sous freebsd 12 ce sont les commande pkg qu'il faut utiliser, si ca peut t'aider utilise mon partage :  Installer un serveur WEB (FAMP) FreeBSD 12 ca devrait fonctionner sans problème

 

Modifié par Yalabi (Voir l’historique des modifications)

013344signature-forum.png

Lien à poster
  • 0

Bonsoir,

 

Merci de m'avoir répondu.

Après avoir entrer la première commande, j'obtiens ceci :

# pkg install apache24
Updating FreeBSD repository catalogue...
Fetching meta.txz: 100%    944 B   0.9kB/s    00:01
Fetching packagesite.txz: 100%    6 MiB   6.5MB/s    00:01
Processing entries:   0%
Newer FreeBSD version for package p5-HTTP-HeaderParser-XS:
To ignore this error set IGNORE_OSVERSION=yes
- package: 1103000
- running kernel: 1102000
Allow missmatch now?[Y/n]: y
Processing entries: 100%
FreeBSD repository update completed. 31858 packages processed.
Updating OVH repository catalogue...
pkg: Repository OVH load error: access repo file(/var/db/pkg/repo-OVH.sqlite) failed: No such file or directory
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/meta.txz: Connection refused
repository OVH has no meta file, using default settings
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/packagesite.txz: Connection refused
Unable to update repository OVH
Error updating repositories!

 

Merci d'avance

Lien à poster
  • 0
il y a 5 minutes, Saejin a dit :

Bonsoir,

 

Merci de m'avoir répondu.

Après avoir entrer la première commande, j'obtiens ceci :

 

# pkg install apache24
Updating FreeBSD repository catalogue...
Fetching meta.txz: 100%    944 B   0.9kB/s    00:01
Fetching packagesite.txz: 100%    6 MiB   6.5MB/s    00:01
Processing entries:   0%
Newer FreeBSD version for package p5-HTTP-HeaderParser-XS:
To ignore this error set IGNORE_OSVERSION=yes
- package: 1103000
- running kernel: 1102000
Allow missmatch now?[Y/n]: y
Processing entries: 100%
FreeBSD repository update completed. 31858 packages processed.
Updating OVH repository catalogue...
pkg: Repository OVH load error: access repo file(/var/db/pkg/repo-OVH.sqlite) failed: No such file or directory
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/meta.txz: Connection refused
repository OVH has no meta file, using default settings
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/packagesite.txz: Connection refused
Unable to update repository OVH
Error updating repositories!

 

 

Merci d'avance

 

Si tu fais un pkg update avant d'essayer de lancer l'install d'apache ca change le resultat ?

 

Sinon tu peux toujours essayer avec une version précédente d'apache.

Modifié par Yalabi (Voir l’historique des modifications)

013344signature-forum.png

Lien à poster
  • 0

Non, toujours la même erreur:

 

[email protected]:~ # pkg update
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
Updating OVH repository catalogue...
pkg: Repository OVH load error: access repo file(/var/db/pkg/repo-OVH.sqlite) failed: No such file or directory
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/meta.txz: Connection refused
repository OVH has no meta file, using default settings
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/packagesite.txz: Connection refused
Unable to update repository OVH
Error updating repositories!
[email protected]:~ # pkg install apache24
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
Updating OVH repository catalogue...
pkg: Repository OVH load error: access repo file(/var/db/pkg/repo-OVH.sqlite) failed: No such file or directory
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/meta.txz: Connection refused
repository OVH has no meta file, using default settings
pkg: ftp://freebsd-pkg.mirrors.ovh.net/made-in-ovh/FreeBSD-pkg/FreeBSD:11:amd64/latest/packagesite.txz: Connection refused
Unable to update repository OVH
Error updating repositories!

 

Merci d'avance

Lien à poster
  • 0

J'ai que ça dans resolv.conf :

 

# This file was generated by local-unbound-setup.
# Modifications will be overwritten.
resolv_conf="/dev/null" # prevent updating /etc/resolv.conf
unbound_conf="/var/unbound/forward.conf"
unbound_pid="/var/run/local_unbound.pid"
unbound_service="local_unbound"
unbound_restart="service local_unbound reload"

 

et voilà pour l'autre :

Routing tables

Internet:
Destination        Gateway            Flags     Netif Expire
default           ip    UGS        igb0
127.0.0.1          link#3             UH          lo0
ip/24    link#1             U          igb0
ip      link#1             UHS         lo0

Internet6:
Destination                       Gateway                       Flags     Netif Expire
::/96                             ::1                           UGRS        lo0
default                           2001:41d0:1004:bff:ff:ff:ff:ff UGS       igb0
::1                               link#3                        UH          lo0
::ffff:0.0.0.0/96                 ::1                           UGRS        lo0
2001:41d0:1004:b00::/56           link#1                        U          igb0
2001:41d0:1004:b56::              link#1                        UHS         lo0
2001:41d0:1004:b56::/64           link#1                        U          igb0
2001:41d0:1004:bff:ff:ff:ff:ff    00:1e:67:e6:d6:09             UHS        igb0
fe80::/10                         ::1                           UGRS        lo0
fe80::%igb0/64                    link#1                        U          igb0
fe80::21e:67ff:fee6:d609%igb0     link#1                        UHS         lo0
fe80::%lo0/64                     link#3                        U           lo0
fe80::1%lo0                       link#3                        UHS         lo0
ff02::/16                         ::1                           UGRS        lo0

EDIT : mpossible de le mettre à jour avec ça:

pkg update -f

 

Merci d'avance

Modifié par Saejin (Voir l’historique des modifications)
Lien à poster
  • 0

Bonjour et merci pour l'aide apporter !

 

En achetant directement un nom de domaine avec hébergement j'ai plus eu besoin d'installer apache etc..

 

Maintenant je rencontre un autre soucis, l'installation du site de DarkDev : 

 

Quelqu'un saurait comment je peux l'installer ?

 

Le soucis c'est que quand je place tout dans mon dossier "www", la page reste blanche, vide, hors quand j'essaie avec un autre CMS partagé, cela fonctionne.

 

Merci d'avance

Lien à poster
  • 0

Tu dois avoir cette erreur :

Citation

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /usr/local/www/apache24/data/site/inc/configurare.php:6 Stack trace: #0 /usr/local/www/apache24/data/site/index.php(5): include_once() #1 {main} thrown in /usr/local/www/apache24/data/site/inc/configurare.php on line 6

 

tu as bien configurer dans /inc/configurare.php ?

013344signature-forum.png

Lien à poster
  • 0
  • Administrateur

Tu dois avoir sur ton espace d'hébergement accès aux erreurs web, (apache log) soit au sein du dédié (je te laisse chercher selon ta version d'apache / freebsd) ou à un endroit si tu as un hébergement web distinct. 

 

Ce fichier peut nous renseigner sur des erreurs qui peuvent permettre la correction.

 

Attention également à la version de PHP. en effet, les vieux CMS ne fonctionnent pas sur PHP7+ (mysql_connect n'est plus accessible)

Soit mettre à jour le CMS ou rétrograder la version de PHP à 5.6

logo.pngmiaw-network.png
 

Lien à poster
  • 0

 

Merci d'avoir répondu,

 

Le hic c'est que je n'ai rien installer, le serveur était prêt à l'emploi chez ovh, je possède l'offre "Perso 2014"

Je peux seulement choisir le php installer dessus "5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3".

Je possède php 7.3 actuellement.

 

 

EDIT : je viens de faire la demande d'installation de MySQL 5.6...

EDIT 2: j'ai aussi fais la demande pour installer php 5.6

Excusez-moi, c'est la première fois, je suis complètement perdu

 

 

EDIT 3 : J'ai réussi à afficher le site en le mettant à la racine "www" puis dans le dossier "DarkWorld" donc : www/DarkWorld/fichiers site et non pas : www/fichiers site.

 

Par contre j'aimerais bien retirer le dossier "darkworld", comment puis-je faire ?  

 

 

Merci d'avance

Modifié par Saejin (Voir l’historique des modifications)
Lien à poster
Invité
Ce sujet ne peut plus recevoir de nouvelles réponses.


×
×
  • Créer...

Information importante

Conditions d’utilisation / Politique de confidentialité / Règles / Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer.